Subject: Ticket Assigned - Delivery
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Thu, 20 Oct 2022 02:17:16 +0000

Hi Sohaib Ahmed,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery I have an order from 15 oct. Its number is 9590386587 .. 16 oct. I received a msg my order was shipped and i was supposed to collect it 18 oct but till now its not ready.. I called twice to figure out the delay problem but I've been told there's nothing wrong. My problem is.am heading out of dubai 20.oct evening and i need these items so what should i do now?!! https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/5024007